package com.platform.entities;

import java.util.ArrayList;
import java.util.List;

public class PreDataInfo {
	
	private int id;
	
	private int dataId;
	
	private int sysCode;
	
	private String updateTime;
	
	/**	excel 是否更新 */
	private String isupdate = "-";
	
	/**	是否采集 */
	private String collection = "否";
	
	/**	市名称 */
	private String cityName;
	
	/**	县区名称 */
	private String districtName;
	
	/**	地区编码 */
	private String areaCode;
	
	/**	地区级别 */
	private String areaLevel;
	
	/**	系统名称 */
	private String sysName;
	
	/**	系统版本信息 */
	private String sysVersion;
	
	/**	投入使用时间 */
	private String beginUseTime;
	
	/**	系统数据功能描述 */
	private String functionDetails;
	
	/**	管理部门联系人 */
	private String departmentManager;
	
	/**	联系方式 */
	private String managerContacts;
	
	/**	信息系统开发商全称 */
	private String developerFullName;
	
	/**	数据库类型 */
	private String dataBaseType;
	
	/**	数据库版本 */
	private String dataBaseVersion;
	
	/**	部门预算管理 */
	private String departmentBudgetManage;
	
	/**	预算指标管理 */
	private String budgetQuotaManage;
	
	/**	预算执行管理 */
	private String budgetExecManage;
	
	/**	总预算会计 */
	private String totalBudgetAccount;
	
	/**	决算管理 */
	private String finalAccountManage;
	
	/**	报表管理 */
	private String reportFormManage;
	
	/**	非税收入管理 */
	private String nonTaxManage;
	
	/**	工资统发系统 */
	private String wageSystem;
	
	/**	财政经济景气预测与分析 */
	private String analysisOfFinancialEconomicProsperity;
	
	/**	政府性债务管理 */
	private String governmentDebtManage;
	
	/**	创建表空间用户名脚本是否有 */
	private String userTablespaceStatus = "否";
	
	/**	检验执行脚本是否有 */
	private String checkoutIndicateStatus = "否";
	
	/**	检验支付脚本是否有 */
	private String checkoutPayStatus = "否";
	
	/**	创建表空间用户名脚本 */
	private String userTablespacePath;
	
	/**	检验执行脚本 */
	private String checkoutIndicatePath;
	
	/**	检验支付脚本 */
	private String checkoutPayPath;
	
	/**	业务范围 */
	private List<String> workRange;
	
	/**	脚本文件名称列表 */
	private List<String> sqlList;
	
	/**	数据版本 */
	private int dataVersion;
	
	/**  采集时间 */
	private String collectingTime; 
	
	/**  collection_data_description 是否有更新  */
	private String collUpdate; 

	/**
	 * @return the id
	 */
	public int getId() {
		return id;
	}

	/**
	 * @param id the id to set
	 */
	public void setId(int id) {
		this.id = id;
	}
	
	/**
	 * @return the dataId
	 */
	public int getDataId() {
		return dataId;
	}

	/**
	 * @param dataId the dataId to set
	 */
	public void setDataId(int dataId) {
		this.dataId = dataId;
	}

	/**
	 * @return the sysCode
	 */
	public int getSysCode() {
		return sysCode;
	}

	/**
	 * @param sysCode the sysCode to set
	 */
	public void setSysCode(int sysCode) {
		this.sysCode = sysCode;
	}

	/**
	 * @return the updateTime
	 */
	public String getUpdateTime() {
		return updateTime;
	}

	/**
	 * @param updateTime the updateTime to set
	 */
	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	}
	/**
	 * @return the isupdate
	 */
	public String getIsupdate() {
		return isupdate;
	}

	/**
	 * @param isupdate the isupdate to set
	 */
	public void setIsupdate(String isupdate) {
		this.isupdate = isupdate;
	}

	/**
	 * @return the collection
	 */
	public String getCollection() {
		return collection;
	}

	/**
	 * @param collection the collection to set
	 */
	public void setCollection(String collection) {
		this.collection = collection;
	}

	/**
	 * @return the cityName
	 */
	public String getCityName() {
		return cityName;
	}

	/**
	 * @param cityName the cityName to set
	 */
	public void setCityName(String cityName) {
		this.cityName = cityName;
	}

	/**
	 * @return the districtName
	 */
	public String getDistrictName() {
		return districtName;
	}

	/**
	 * @param districtName the districtName to set
	 */
	public void setDistrictName(String districtName) {
		this.districtName = districtName;
	}

	/**
	 * @return the areaCode
	 */
	public String getAreaCode() {
		return areaCode;
	}

	/**
	 * @param areaCode the areaCode to set
	 */
	public void setAreaCode(String areaCode) {
		this.areaCode = areaCode;
	}

	/**
	 * @return the areaLevel
	 */
	public String getAreaLevel() {
		return areaLevel;
	}

	/**
	 * @param areaLevel the areaLevel to set
	 */
	public void setAreaLevel(String areaLevel) {
		this.areaLevel = areaLevel;
	}

	/**
	 * @return the sysName
	 */
	public String getSysName() {
		return sysName;
	}

	/**
	 * @param sysName the sysName to set
	 */
	public void setSysName(String sysName) {
		this.sysName = sysName;
	}

	/**
	 * @return the dataVersion
	 */
	public String getSysVersion() {
		return sysVersion;
	}

	/**
	 * @param dataVersion the dataVersion to set
	 */
	public void setSysVersion(String sysVersion) {
		this.sysVersion = sysVersion;
	}

	/**
	 * @return the beginUseTime
	 */
	public String getBeginUseTime() {
		return beginUseTime;
	}

	/**
	 * @param beginUseTime the beginUseTime to set
	 */
	public void setBeginUseTime(String beginUseTime) {
		this.beginUseTime = beginUseTime;
	}

	/**
	 * @return the functionDetails
	 */
	public String getFunctionDetails() {
		return functionDetails;
	}

	/**
	 * @param functionDetails the functionDetails to set
	 */
	public void setFunctionDetails(String functionDetails) {
		this.functionDetails = functionDetails;
	}

	/**
	 * @return the departmentManager
	 */
	public String getDepartmentManager() {
		return departmentManager;
	}

	/**
	 * @param departmentManager the departmentManager to set
	 */
	public void setDepartmentManager(String departmentManager) {
		this.departmentManager = departmentManager;
	}

	/**
	 * @return the managerContacts
	 */
	public String getManagerContacts() {
		return managerContacts;
	}

	/**
	 * @param managerContacts the managerContacts to set
	 */
	public void setManagerContacts(String managerContacts) {
		this.managerContacts = managerContacts;
	}

	/**
	 * @return the developerFullName
	 */
	public String getDeveloperFullName() {
		return developerFullName;
	}

	/**
	 * @param developerFullName the developerFullName to set
	 */
	public void setDeveloperFullName(String developerFullName) {
		this.developerFullName = developerFullName;
	}

	/**
	 * @return the dataBaseType
	 */
	public String getDataBaseType() {
		return dataBaseType;
	}

	/**
	 * @param dataBaseType the dataBaseType to set
	 */
	public void setDataBaseType(String dataBaseType) {
		this.dataBaseType = dataBaseType;
	}

	/**
	 * @return the dataBaseVersion
	 */
	public String getDataBaseVersion() {
		return dataBaseVersion;
	}

	/**
	 * @param dataBaseVersion the dataBaseVersion to set
	 */
	public void setDataBaseVersion(String dataBaseVersion) {
		this.dataBaseVersion = dataBaseVersion;
	}

	/**
	 * @return the departmentBudgetManage
	 */
	public String getDepartmentBudgetManage() {
		return departmentBudgetManage;
	}

	/**
	 * @param departmentBudgetManage the departmentBudgetManage to set
	 */
	public void setDepartmentBudgetManage(String departmentBudgetManage) {
		this.departmentBudgetManage = departmentBudgetManage;
	}

	/**
	 * @return the budgetQuotaManage
	 */
	public String getBudgetQuotaManage() {
		return budgetQuotaManage;
	}

	/**
	 * @param budgetQuotaManage the budgetQuotaManage to set
	 */
	public void setBudgetQuotaManage(String budgetQuotaManage) {
		this.budgetQuotaManage = budgetQuotaManage;
	}

	/**
	 * @return the budgetExecManage
	 */
	public String getBudgetExecManage() {
		return budgetExecManage;
	}

	/**
	 * @param budgetExecManage the budgetExecManage to set
	 */
	public void setBudgetExecManage(String budgetExecManage) {
		this.budgetExecManage = budgetExecManage;
	}

	/**
	 * @return the totalBudgetAccount
	 */
	public String getTotalBudgetAccount() {
		return totalBudgetAccount;
	}

	/**
	 * @param totalBudgetAccount the totalBudgetAccount to set
	 */
	public void setTotalBudgetAccount(String totalBudgetAccount) {
		this.totalBudgetAccount = totalBudgetAccount;
	}

	/**
	 * @return the finalAccountManage
	 */
	public String getFinalAccountManage() {
		return finalAccountManage;
	}

	/**
	 * @param finalAccountManage the finalAccountManage to set
	 */
	public void setFinalAccountManage(String finalAccountManage) {
		this.finalAccountManage = finalAccountManage;
	}

	/**
	 * @return the reportFormManage
	 */
	public String getReportFormManage() {
		return reportFormManage;
	}

	/**
	 * @param reportFormManage the reportFormManage to set
	 */
	public void setReportFormManage(String reportFormManage) {
		this.reportFormManage = reportFormManage;
	}

	/**
	 * @return the nonTaxManage
	 */
	public String getNonTaxManage() {
		return nonTaxManage;
	}

	/**
	 * @param nonTaxManage the nonTaxManage to set
	 */
	public void setNonTaxManage(String nonTaxManage) {
		this.nonTaxManage = nonTaxManage;
	}

	/**
	 * @return the wageSystem
	 */
	public String getWageSystem() {
		return wageSystem;
	}

	/**
	 * @param wageSystem the wageSystem to set
	 */
	public void setWageSystem(String wageSystem) {
		this.wageSystem = wageSystem;
	}

	/**
	 * @return the analysisOfFinancialEconomicProsperity
	 */
	public String getAnalysisOfFinancialEconomicProsperity() {
		return analysisOfFinancialEconomicProsperity;
	}

	/**
	 * @param analysisOfFinancialEconomicProsperity the analysisOfFinancialEconomicProsperity to set
	 */
	public void setAnalysisOfFinancialEconomicProsperity(
			String analysisOfFinancialEconomicProsperity) {
		this.analysisOfFinancialEconomicProsperity = analysisOfFinancialEconomicProsperity;
	}

	/**
	 * @return the governmentDebtManage
	 */
	public String getGovernmentDebtManage() {
		return governmentDebtManage;
	}

	/**
	 * @param governmentDebtManage the governmentDebtManage to set
	 */
	public void setGovernmentDebtManage(String governmentDebtManage) {
		this.governmentDebtManage = governmentDebtManage;
	}

	/**
	 * @return the userTablespaceStatus
	 */
	public String getUserTablespaceStatus() {
		return userTablespaceStatus;
	}

	/**
	 * @param userTablespaceStatus the userTablespaceStatus to set
	 */
	public void setUserTablespaceStatus(String userTablespaceStatus) {
		this.userTablespaceStatus = userTablespaceStatus;
	}

	/**
	 * @return the checkoutIndicateStatus
	 */
	public String getCheckoutIndicateStatus() {
		return checkoutIndicateStatus;
	}

	/**
	 * @param checkoutIndicateStatus the checkoutIndicateStatus to set
	 */
	public void setCheckoutIndicateStatus(String checkoutIndicateStatus) {
		this.checkoutIndicateStatus = checkoutIndicateStatus;
	}

	/**
	 * @return the checkoutPayStatus
	 */
	public String getCheckoutPayStatus() {
		return checkoutPayStatus;
	}

	/**
	 * @param checkoutPayStatus the checkoutPayStatus to set
	 */
	public void setCheckoutPayStatus(String checkoutPayStatus) {
		this.checkoutPayStatus = checkoutPayStatus;
	}

	/**
	 * @return the userTablespacePath
	 */
	public String getUserTablespacePath() {
		return userTablespacePath;
	}

	/**
	 * @param userTablespacePath the userTablespacePath to set
	 */
	public void setUserTablespacePath(String userTablespacePath) {
		this.userTablespacePath = userTablespacePath;
	}

	/**
	 * @return the checkoutIndicatePath
	 */
	public String getCheckoutIndicatePath() {
		return checkoutIndicatePath;
	}

	/**
	 * @param checkoutIndicatePath the checkoutIndicatePath to set
	 */
	public void setCheckoutIndicatePath(String checkoutIndicatePath) {
		this.checkoutIndicatePath = checkoutIndicatePath;
	}

	/**
	 * @return the checkoutPayPath
	 */
	public String getCheckoutPayPath() {
		return checkoutPayPath;
	}

	/**
	 * @param checkoutPayPath the checkoutPayPath to set
	 */
	public void setCheckoutPayPath(String checkoutPayPath) {
		this.checkoutPayPath = checkoutPayPath;
	}

	/**
	 * @return the sqlList
	 */
	public List<String> getSqlList() {
		return sqlList;
	}

	/**
	 * @param sqlList the sqlList to set
	 */
	public void setSqlList(List<String> sqlList) {
		this.sqlList = sqlList;
		if (null == this.sqlList) {
			this.sqlList = new ArrayList<String>();
		}
		if ("是".equals(userTablespaceStatus)) {
			this.sqlList.add(userTablespacePath);
		}
		if ("是".equals(checkoutIndicateStatus)) {
			this.sqlList.add(checkoutIndicatePath);
		}
		if ("是".equals(checkoutPayStatus)) {
			this.sqlList.add(checkoutPayPath);
		}
	}

	/**
	 * @return the dataVersion
	 */
	public int getDataVersion() {
		return dataVersion;
	}

	/**
	 * @param dataVersion the dataVersion to set
	 */
	public void setDataVersion(int dataVersion) {
		this.dataVersion = dataVersion;
	}

	/**
	 * @return the collectingTime
	 */
	public String getCollectingTime() {
		return collectingTime;
	}

	/**
	 * @param collectingTime the collectingTime to set
	 */
	public void setCollectingTime(String collectingTime) {
		this.collectingTime = collectingTime;
	}

	/**
	 * @return the isUpdate
	 */
	public String getCollUpdate() {
		return collUpdate;
	}

	/**
	 * @param isUpdate the isUpdate to set
	 */
	public void setCollUpdate(String collUpdate) {
		this.collUpdate = collUpdate;
	}

	/**
	 * @return the workRange
	 */
	public List<String> getWorkRange() {
		return workRange;
	}
	
	public void setWorkRange(List<String> workRange) {
		this.workRange = workRange;
	}

	/**
	 * @param workRange the workRange to set
	 */
	public void reSetWorkRange(List<String> workRange) {
		this.workRange = workRange;
		if (null == this.workRange) {
			this.workRange = new ArrayList<String>();
		}
		if ("是".equals(departmentBudgetManage)) {
			this.workRange.add("部门预算管理");
		}
		if ("是".equals(budgetQuotaManage)) {
			this.workRange.add("预算指标管理");
		}
		if ("是".equals(budgetExecManage)) {
			this.workRange.add("预算执行管理");
		}
		if ("是".equals(totalBudgetAccount)) {
			this.workRange.add("总预算会计");
		}
		if ("是".equals(finalAccountManage)) {
			this.workRange.add("决算管理");
		}
		if ("是".equals(reportFormManage)) {
			this.workRange.add("报表管理");
		}
		if ("是".equals(nonTaxManage)) {
			this.workRange.add("非税收入管理");
		}
		if ("是".equals(wageSystem)) {
			this.workRange.add("工资统发系统");
		}
		if ("是".equals(analysisOfFinancialEconomicProsperity)) {
			this.workRange.add("财政经济景气预测与分析");
		}
		if ("是".equals(governmentDebtManage)) {
			this.workRange.add("政府性债务管理");
		}
	}
	
	public void setProper() {
		departmentBudgetManage = "否";
		budgetQuotaManage = "否";
		budgetExecManage = "否";
		
		totalBudgetAccount = "否";
		finalAccountManage = "否";
		reportFormManage = "否";
		
		nonTaxManage = "否";
		wageSystem = "否";
		analysisOfFinancialEconomicProsperity = "否";
		governmentDebtManage = "否";
		if (null == this.workRange) {
			return;
		}
		if (workRange.contains("部门预算管理")) {
			departmentBudgetManage = "是";
		}
		if (workRange.contains("预算指标管理")) {
			budgetQuotaManage = "是";
		}
		if (workRange.contains("预算执行管理")) {
			budgetExecManage = "是";
		}
		if (workRange.contains("总预算会计")) {
			totalBudgetAccount = "是";
		}
		if (workRange.contains("决算管理")) {
			finalAccountManage = "是";
		}
		if (workRange.contains("报表管理")) {
			reportFormManage = "是";
		}
		if (workRange.contains("非税收入管理")) {
			nonTaxManage = "是";
		}
		if (workRange.contains("工资统发系统")) {
			wageSystem = "是";
		}
		if (workRange.contains("财政经济景气预测与分析")) {
			analysisOfFinancialEconomicProsperity = "是";
		}
		if (workRange.contains("政府性债务管理")) {
			governmentDebtManage = "是";
		}
	}
}
